MongoDB mongo-c-driver libbson 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1304937 漏洞类型 缓冲区错误
发布时间 2018-09-11 更新时间 2019-10-23
CVE编号 CVE-2018-16790 CNNVD-ID CNNVD-201809-458
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201809-458
|漏洞详情
MongoDB mongo-c-driver是美国MongoDB公司的一款使用在MongoDB数据库中,基于C语言的客户端库。libbson是其中的一个提供构建和解析BSON文档等功能的实用程序库。 MongoDB mongo-c-driver和其他产品中使用的libbson 1.12.0版本的bson-iter.c文件的_bson_iter_next_internal存在缓冲区溢出漏洞。攻击者可借助特制的bson缓冲区利用该漏洞造成缓冲区越界读取。
|参考资料

来源:jira.mongodb.org

链接:https://jira.mongodb.org/browse/CDRIVER-2819